//---------------------------------------------------------------------------

#ifndef FichasClientesH
#define FichasClientesH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "CoolForm.hpp"
#include <Db.hpp>
#include <DBGrids.hpp>
#include <DBTables.hpp>
#include <ExtCtrls.hpp>
#include <Graphics.hpp>
#include <Grids.hpp>
#include <Buttons.hpp>
#include <DBCtrls.hpp>
#include <Mask.hpp>
#include "DigitNum.h"
#include "FormularioREUSABLE.h"
//---------------------------------------------------------------------------
class TFClientes : public TFormREUSABLE
{
__published:	// IDE-managed Components
        TLabel *Terminal;
        TLabel *Label1;
        TEdit *Edit1;
        TDataSource *DsPersonas;
        TDBGrid *DBGrid1;
        TSpeedButton *SpeedButton1;
        TSpeedButton *SpeedButton2;
        TComboBox *SelIndex;
        TDBEdit *DBEdit1;
        TDBEdit *DBEdit2;
        TLabel *Label2;
        TLabel *Label3;
        TDBEdit *DBEdit3;
        TLabel *Label4;
        TDBEdit *DBEdit4;
        TLabel *Label5;
        TDigitNum *Dig1;
        TShape *Shape2;
        TShape *Shape1;
        TDigitNum *Dig2;
        TButton *Button2;
        TButton *Button3;
        TLabel *Label6;
        TDBText *DBText1;
        TTable *TbBonos;
        void __fastcall Button1Click(TObject *Sender);
        void __fastcall DBGrid1DblClick(TObject *Sender);
        void __fastcall SpeedButton1Click(TObject *Sender);
        void __fastcall SpeedButton2Click(TObject *Sender);
        void __fastcall SelIndexChange(TObject *Sender);
        void __fastcall Edit1KeyUp(TObject *Sender, WORD &Key,
          TShiftState Shift);
        void __fastcall Button3Click(TObject *Sender);
        void __fastcall DsPersonasDataChange(TObject *Sender,
          TField *Field);
        void __fastcall Button2Click(TObject *Sender);
        void __fastcall TbBonosBeforeOpen(TDataSet *DataSet);
        void __fastcall DBEdit1KeyUp(TObject *Sender, WORD &Key,
          TShiftState Shift);
        void __fastcall DBEdit2KeyUp(TObject *Sender, WORD &Key,
          TShiftState Shift);
        void __fastcall DBEdit3KeyUp(TObject *Sender, WORD &Key,
          TShiftState Shift);
        void __fastcall DBEdit4KeyUp(TObject *Sender, WORD &Key,
          TShiftState Shift);
private:	// User declarations
public:		// User declarations
        __fastcall TFClientes(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TFClientes *FClientes;
//---------------------------------------------------------------------------
#endif
